=== debian/changelog ===
permafrost (0.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #594041)

 -- Alessio Treglia <alessio@debian.org>  Mon, 23 Aug 2010 11:22:39 +0200
