=== debian/control ===
Source: permafrost
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7),
 cmake
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/pkg-multimedia/permafrost.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/permafrost.git
Homepage: http://naspro.atheme.org/about

Package: permafrost
Architecture: any
Depends: ${shlibs:Depends},
 lv2core,
 ${misc:Depends}
Description: DSP language designed with physics-based modeling in mind
 This package contains a compiler for such language which generates
 C source code and RDF/Turtle data which constitute the basis of
 LV2 plugins.
 .
 The syntax is not definitive and backwards compatibility will not
 be taken seriously in the next releases, yet the language already
 has some interesting features such as automatic scheduling,
 bidirectional ports, macroing and importing of C functions.
