=== debian/watch ===
version=3
http://sf.net/naspro/permafrost-(.*)\.tar\.gz
